<?php

use WSCOMUN\WSComunFClient;
use WSCOMUN\CATASTRO\objSolicitudTransmision;

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyAutentica 		= WSComunFClient::KEYCLIENTE_AUTENTICA;
$keyAutoriza		= WSComunFClient::KEYCLIENTE_AUTORIZA;
$keyFirma			= WSComunFClient::KEYCLIENTE_FIRMA;
$keyCSV				= WSComunFClient::KEYCLIENTE_CSV;
$keyCatastroBienes	= WSComunFClient::KEYCLIENTE_CATASTRO_BIENES;
$keyCatastro 		= WSComunFClient::KEYCLIENTE_CATASTRO;


/*
 * Aumentar $idPeticion en cada ejecucin. Especialmente si informa de identificador repetido o solicitud ya atendida.
 */


/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyAutentica 		=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/AutenticacionArangi_v1_00?wsdl',
		$keyAutoriza 		=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/AutorizacionHDFI_v1_00?wsdl',
		$keyFirma 			=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/FirmaArangi_v1_00?wsdl',
		$keyCSV 			=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/CSV/GVA/CSV_GVA_v1_00?wsdl',
		$keyCatastroBienes 	=> 'https://verificacion-pre.gva.es/pai_bus_ver/CATASTRO/BienesInmuebles_v3_00?wsdl',
		$keyCatastro 		=> 'https://verificacion-pre.gva.es/pai_bus_ver/CATASTRO/ConsultaDatos_v3_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_datosCertif = array
(
	'certFile'	=> realpath('../../cert/nopass.crt'),
	'keyFile'	=> realpath('../../cert/nopass.key'),
	'passPhrase'=> null
);

$vTrazabilidad = array
(
	'nsCert'=>	'2bd9adddcd9f0998',
	'idApp'=>	'S4611001A_TEST_00001' // 'S4611001A_INMUEBLES'
);

$vDataEspecifico = array();



try
{
	/*
	// Prepara la peticion
	$compEspecifico = new ComposerCatastro();
	$vPeticion = $compEspecifico->doIt($vDataEspecifico);

	var_dump($vPeticion);die;

	die;
	*/

	$x509v3 = 'TEST_TEST';
	$idPeticion = $x509v3 . '_0300';


	$CodProcedimiento = $NombreProcedimiento = $UnidadTramitadora = $IdExpediente = $NombreCompleto = $Nombre = $Apellido1 = $Apellido2 = '';

	$CodProcedimiento = 'S4611001A_TEST_00001'; // EXP/10162012';	// $vTrazabilidad['idApp']
	$NombreProcedimiento = 'INMUEBLES'; // 'PRUEBAS DE INTEGRACION CONSULTA BIENES INMUEBLES';
	$finalidad = 'S4611001A_TEST_00001'; // $vTrazabilidad['idApp'] .'#::#'. $CodProcedimiento .'#::#'. $NombreProcedimiento; // 'S4611001A_INMUEBLES#::#EXP/10162012#::#PRUEBAS DE INTEGRACION CONSULTA BIENES INMUEBLES';

	set_time_limit(200);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_CATASTRO, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$clienteSIRCA->loadTracertPAI($vTrazabilidad);

	$respuesta = null;
	if (false) {
		$respuesta = $clienteSIRCA->catastro($idPeticion, '1', new DateTime(), 'SVDCDATWS02',
				'S2826053G', 'DIRECCION GENERAL DEL CATASTRO',
				$CodProcedimiento, $NombreProcedimiento,
				'JUAN ESPANYOL ESPANYOL', '99999999R', 'S4611001A', 'GENERALITAT VALENCIANA',
				$UnidadTramitadora, $finalidad, 'Si',
				$IdExpediente, 'NIF', 'S2826053G', $NombreCompleto,
				$Nombre, $Apellido1, $Apellido2,  'SVDCDATWS02', $idPeticion, $vDataEspecifico);
	} else {
		$oSolicitud = new objSolicitudTransmision();
		$oSolicitud->setEmisor('S2826053G', 'DIRECCION GENERAL DEL CATASTRO');
		$oSolicitud->setProcedimiento('S4611001A_TEST_00001', 'INMUEBLES');
		$oSolicitud->setFuncionario('JUAN ESPANYOL ESPANYOL', '99999999R');
		$oSolicitud->setTitular('NIF', 'S2826053G', null, null, null, null);
		$oSolicitud->setSolicitante('S4611001A', 'GENERALITAT VALENCIANA', 'Si', 'S4611001A_TEST_00001', null, null);

		$respuesta = $clienteSIRCA->catastroB($idPeticion, new DateTime(), 'SVDCDATWS02', $oSolicitud);
	}


	print("\n\n<br><br><br/><b>Resp: </b>" . print_r($respuesta, true) . "<br>\n");

}
catch (Exception $e)
{
//var_dump($e);die;
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print($e->getTraceAsString());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

?>