<?php

use WSCOMUN\WSComunFClient;

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once '../../../include/WSComunFClient.php';
$keyGDE2 = WSComunFClient::KEYCLIENTE_GDE2;

/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyGDE2 => 'https://innovacion-pre.gva.es/pai_bus_inno/GDE/GDEService_v2_00?wsdl'	// Instrumentales
);

/* Datos del certificado utilizado para las pruebas */
$v_opciones = array
(
		//'certFile'	=> realpath('../../../cert/SELLO-SCOR-PRE.crt'),
		//'keyFile'	=> realpath('../../../cert/SELLO-SCOR-PRE.key'),
		'passPhrase' 			=> null,
		'enableWSSecurity' 		=> false, //Innovacion
		'enableTrazabilidadPAI' => true,
		'idApp' 				=> 'WSCOMUN',
);


//Parametros de invocacin generales
//Para probar el script es necesario, previamente, lanzar el script insertarDocumento,
//y copiar la referencia del nuevo documento a $refDoc para que existan los datos
//necesarios para la ejecucin del script
$codApp = 'RABA';
$refDoc ='RABA4e4d1ec4-dc70-4ff9-ba91-bc5639c40a9a';

try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient($keyGDE2, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);

	$respuestaGDE2 = $clienteSIRCA->eliminarDocumentoGDE2($codApp, $refDoc);

	//var_dump($respuestaGDE2);//die;

	print("Documento: $refDoc<br>\n");
	if ($respuestaGDE2['correcto'] === true)
	{
		print "El documento fue borrado correctamente";
	}
	else
	{
		print "El documento no ha sido borrado (puede que ya se hubiera borrado anteriormente)";
	}
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

?>