<?php
use WSCOMUN\WSComunFClient;
use WSCOMUN\WSComunPAIException;

ini_set("soap.wsdl_cache_enabled", 0);

require_once 'libOpts.php';

require_once '../../../include/WSComunFClient.php';
$keyLOGIN = WSComunFClient::KEYCLIENTE_GVLOGIN;

/* Array de URIs con los WSDLs descriptivos del servicio */
$v_wsdl = array
(
	$keyLOGIN => 'https://innovacion-pre.gva.es/pai_bus_inno/GVLOGIN/SSOService_v1_00?wsdl'
	//$keyLOGIN => 'https://innovacion.gva.es/pai_bus_inno/GVLOGIN/SSOService_v1_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_opciones = array
(
		//'certFile'	=> realpath('../../../cert/SELLO-SCOR-PRE.crt'),
		//'keyFile'	=> realpath('../../../cert/SELLO-SCOR-PRE.key'),
		'passPhrase' 			=> null,
		'enableWSSecurity' 		=> false, //Innovacion
		'enableTrazabilidadPAI' => true,
		'idApp' 				=> 'WSCOMUN'
);


//Es necesario tener un tokenSSO valido

//Parametros de invocacin
$tokenSSO = "6d83aa1d-2aac-4c06-9f23-86395abfaee6";

// Recepcion externa del token
if (isset($_REQUEST['tokenSSO'])) {
	$tokenSSO = $_REQUEST['tokenSSO'];
}


// Cabecera de links y acceso rapido
require_once 'libOpts.php';
showLinks($tokenSSO);


print("Prueba de LOGIN: logout($tokenSSO)<br>\n");
try
{
	set_time_limit(40);
	$clienteWS = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_GVLOGIN, $v_wsdl, $v_opciones);
	$clienteWS->setDebugMode(true);

	$oResp = $clienteWS->logout($tokenSSO);

	// Tratamiento de la respuesta
	if ($oResp->getResultado() == true) {
		print("\n<br>Resultado de la llamada: " . ($oResp->getResultado() ? "True" : "False") . "<br>\n");
		print("  - Por tanto, dicho token ha sido desconectado y ya no es vlido<br>\n");

	} else {
		print("\n<br>Resultado de la llamada: " . ($oResp->getResultado() ? "True" : "False") . "<br>\n<br>\n");

		// Informar error
		$oError = $oResp->getError();
		print("Error: {$oError}<br>\n");

		print("  - CODIGO: " . $oError->getCodigoError());print("\n<br/>");
		print("  - MENSAJE: " . $oError->getMensajeError());print("\n<br/>");

		var_dump($oResp);die;
	}
}
catch (WSComunPAIException $e)
{
	print("\n<br/>Excepcion PAI: \n<br/>");
	print("  - ERROR: " . $e);print("\n<br/>");
	print("  - CODIGO: " . $e->getCode());print("\n<br/>");
	print("  - MENSAJE: " . $e->getMessage());print("\n<br/>");

	var_dump($e);
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print($e->getTraceAsString());print("\n<br/>");
	print('<pre>');
	print('<pre>');
	$vDebugInfo = $clienteWS->getDebugInfo();
	print_r($vDebugInfo);
	print($e->getMessage());
	print('</pre>');
}

?>