<?php

use WSCOMUN\WSComunFClient;

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);


require_once '../../../include/WSComunFClient.php';
$keySalt = WSComunFClient::KEYCLIENTE_SALT;


$v_wsdl = array
(
		$keySalt  => 'https://innovacion-pre.gva.es/pai_bus_inno/SALT/SaltService_v1_00?wsdl'
);

$v_opciones = array
(
	//'certFile'	=> realpath('../../../cert/SELLO-SCOR-PRE.crt'),
	//'keyFile'	=> realpath('../../../cert/SELLO-SCOR-PRE.key'),
 	'passPhrase' 			=> null,
 	'enableWSSecurity' 		=> false, //Innovacion
 	'enableTrazabilidadPAI' => true,
 	'idApp' 				=> 'WSCOMUN',
);

$textoCastellanoOrig = utf8_encode('Debajo de la cama tiene la mano Maria');
$textoValencianoOrig = utf8_encode('Plou poc per per a lo poc que plou, plou prou');

print("\n\n<br/><br><br/>Prueba de traduccin SALT<br/>\n");
print("WSDL al que se accede: <a href='".$v_wsdl[$keySalt]."'>SALTService</a><br/><br/>\n");


print("\n\n<br/><br><br/>Prueba de traduccin: castellanoValenciano('".utf8_decode($textoCastellanoOrig)."')<br/>\n");
try
{
	set_time_limit(40);
	$clienteSALT = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_SALT, $v_wsdl, $v_opciones);
	$clienteSALT->setDebugMode(true);

	$textoValencianoTraduc = utf8_decode($clienteSALT->castellanoValenciano($textoCastellanoOrig));
	print("\n<br/>Original:\n <br> ".utf8_decode($textoCastellanoOrig)." \n<br><br>\nResultado en Valenciano:\n<br/>".$textoValencianoTraduc);
	unset($clienteSALT);
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	print("Error de traduccin<br/>\n");
	$vDebugInfo = $clienteSALT->getDebugInfo();
	print_r($vDebugInfo);
	print($e->getMessage());
	die;
}


print("\n\n<br/><br><br/>Prueba de traduccin: valencianoCastellano('".utf8_decode($textoValencianoOrig)."')<br/>\n");
try
{
	set_time_limit(40);
	set_time_limit(40);
	$clienteSALT = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_SALT, $v_wsdl, $v_opciones);
	$clienteSALT->setDebugMode(true);

	$textoCastellanoTraduc = utf8_decode($clienteSALT->valencianoCastellano($textoValencianoOrig));

	print("\n<br/>Original:\n <br> ".utf8_decode($textoValencianoOrig)." \n<br><br>\nResultado en Valenciano:\n<br/>".$textoCastellanoTraduc);
	unset($clienteSALT);
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	print("Error de traduccin<br/>\n");
	$vDebugInfo = $clienteSALT->getDebugInfo();
	print_r($vDebugInfo);
	print($e->getMessage());
	die;
}


?>